PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceInitialized

Determines whether PetscDevice is initialized for a particular PetscDeviceType

### Synopsis

    PetscBool PetscDeviceInitialized(PetscDeviceType type)

Not Collective, Asynchronous

### Input Parameter

| type | - The PetscDeviceType to check

### Output Parameter

| [return value] | - PETSC_TRUE if type is initialized, PETSC_FALSE otherwise

### Notes

If one has not configured PETSc for a particular PetscDeviceType then this routine will return PETSC_FALSE for that PetscDeviceType.

### See Also

PetscDevice, PetscDeviceInitType, PetscDeviceInitialize(), PetscDeviceCreate(), PetscDeviceDestroy()

### Level

beginner

### Location

src/sys/objects/device/interface/device.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages